apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-nginx-production
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/upstream-hash-by: "$arg_session_id"
  name: webrtc-be
spec:
  rules:
  - host: {{ .Values.domain }}
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: webrtc-be-service
            port:
              number: 5001
  tls:
  - secretName: webrtc-be
    hosts:
    - {{ .Values.domain }}